class Analyze

Same name and namespace in other branches
  1. 10 core/modules/views_ui/src/Form/Ajax/Analyze.php \Drupal\views_ui\Form\Ajax\Analyze
  2. 9 core/modules/views_ui/src/Form/Ajax/Analyze.php \Drupal\views_ui\Form\Ajax\Analyze
  3. 8.9.x core/modules/views_ui/src/Form/Ajax/Analyze.php \Drupal\views_ui\Form\Ajax\Analyze
  4. main core/modules/views_ui/src/Form/Ajax/Analyze.php \Drupal\views_ui\Form\Ajax\Analyze

Displays analysis information for a view.

@internal

Hierarchy

Expanded class hierarchy of Analyze

2 string references to 'Analyze'
Analyze::buildForm in core/modules/views_ui/src/Form/Ajax/Analyze.php
Form constructor.
Analyze::getFormKey in core/modules/views_ui/src/Form/Ajax/Analyze.php
Returns the key that represents this form.

File

core/modules/views_ui/src/Form/Ajax/Analyze.php, line 13

Namespace

Drupal\views_ui\Form\Ajax
View source
class Analyze extends ViewsFormBase {
  
  /**
   * {@inheritdoc}
   */
  public function getFormKey() {
    return 'analyze';
  }
  
  /**
   * {@inheritdoc}
   */
  public function getFormId() {
    return 'views_ui_analyze_view_form';
  }
  
  /**
   * {@inheritdoc}
   */
  public function buildForm(array $form, FormStateInterface $form_state) {
    $view = $form_state->get('view');
    $form['#title'] = $this->t('View analysis');
    $form['#section'] = 'analyze';
    $analyzer = Views::analyzer();
    $messages = $analyzer->getMessages($view->getExecutable());
    $form['analysis'] = [
      '#prefix' => '<div class="js-form-item form-item">',
      '#suffix' => '</div>',
      '#markup' => $analyzer->formatMessages($messages),
    ];
    // Inform the standard button function that we want an OK button.
    $form_state->set('ok_button', TRUE);
    $view->getStandardButtons($form, $form_state, 'views_ui_analyze_view_form');
    return $form;
  }
  
  /**
   * {@inheritdoc}
   */
  public function submitForm(array &$form, FormStateInterface $form_state) {
    /** @var \Drupal\views_ui\ViewUI $view */
    $view = $form_state->get('view');
    $form_state->setRedirectUrl($view->toUrl('edit-form'));
  }

}

Members

Title Sort descending Modifiers Object type Summary Overriden Title Overrides
Analyze::buildForm public function Form constructor. Overrides FormInterface::buildForm
Analyze::getFormId public function Returns a unique string identifying the form. Overrides FormInterface::getFormId
Analyze::getFormKey public function Returns the key that represents this form. Overrides ViewsFormInterface::getFormKey
Analyze::submitForm public function Form submission handler. Overrides ViewsFormBase::submitForm
AutowiredInstanceTrait::createInstanceAutowired public static function Instantiates a new instance of the implementing class using autowiring.
AutowiredInstanceTrait::getAutowireArguments private static function Resolves arguments for a method using autowiring.
AutowireTrait::create public static function Instantiates a new instance of the implementing class using autowiring. 137
DependencySerializationTrait::$_entityStorages protected property An array of entity type IDs keyed by the property name of their storages.
DependencySerializationTrait::$_serviceIds protected property An array of service IDs keyed by property name used for serialization.
DependencySerializationTrait::__sleep public function 2
DependencySerializationTrait::__wakeup public function 2
FormBase::$configFactory protected property The config factory. 1
FormBase::$requestStack protected property The request stack. 1
FormBase::$routeMatch protected property The route match.
FormBase::config protected function Retrieves a configuration object.
FormBase::configFactory protected function Gets the config factory for this form. 1
FormBase::container private function Returns the service container.
FormBase::currentUser protected function Gets the current user. 2
FormBase::getRequest protected function Gets the request object. Overrides HtmxRequestInfoTrait::getRequest
FormBase::getRouteMatch protected function Gets the route match.
FormBase::logger protected function Gets the logger for a specific channel.
FormBase::redirect protected function Returns a redirect response object for the specified route.
FormBase::resetConfigFactory public function Resets the configuration factory.
FormBase::setConfigFactory public function Sets the config factory for this form.
FormBase::setRequestStack public function Sets the request stack object to use.
HtmxRequestInfoTrait::getHtmxCurrentUrl protected function Retrieves the URL of the requesting page from an HTMX request header.
HtmxRequestInfoTrait::getHtmxPrompt protected function Retrieves the prompt from an HTMX request header.
HtmxRequestInfoTrait::getHtmxTarget protected function Retrieves the target identifier from an HTMX request header.
HtmxRequestInfoTrait::getHtmxTrigger protected function Retrieves the trigger identifier from an HTMX request header.
HtmxRequestInfoTrait::getHtmxTriggerName protected function Retrieves the trigger name from an HTMX request header.
HtmxRequestInfoTrait::isHtmxBoosted protected function Determines if the request is boosted by HTMX.
HtmxRequestInfoTrait::isHtmxHistoryRestoration protected function Determines if if the request is for history restoration.
HtmxRequestInfoTrait::isHtmxRequest protected function Determines if the request is sent by HTMX.
LoggerChannelTrait::$loggerFactory protected property The logger channel factory service.
LoggerChannelTrait::getLogger protected function Gets the logger for a specific channel.
LoggerChannelTrait::setLoggerFactory public function Injects the logger channel factory.
MessengerTrait::$messenger protected property The messenger. 28
MessengerTrait::messenger public function Gets the messenger. 28
MessengerTrait::setMessenger public function Sets the messenger.
RedirectDestinationTrait::$redirectDestination protected property The redirect destination service. 2
RedirectDestinationTrait::getDestinationArray protected function Prepares a &#039;destination&#039; URL query parameter for use with \Drupal\Core\Url.
RedirectDestinationTrait::getRedirectDestination protected function Returns the redirect destination service.
RedirectDestinationTrait::setRedirectDestination public function Sets the redirect destination service.
StringTranslationTrait::$stringTranslation protected property The string translation service. 3
StringTranslationTrait::formatPlural protected function Formats a string containing a count of items.
StringTranslationTrait::getNumberOfPlurals protected function Returns the number of plurals supported by a given language.
StringTranslationTrait::getStringTranslation protected function Gets the string translation service.
StringTranslationTrait::setStringTranslation public function Sets the string translation service to use. 2
StringTranslationTrait::t protected function Translates a string to the current language or to a given language. 1
ViewsFormBase::$id protected property The ID of the item this form is manipulating.
ViewsFormBase::$type protected property The type of item this form is manipulating.
ViewsFormBase::ajaxFormWrapper protected function Wrapper for handling AJAX forms.
ViewsFormBase::getForm public function Creates a new instance of this form. Overrides ViewsFormInterface::getForm 6
ViewsFormBase::getFormState public function Gets the form state for this form. Overrides ViewsFormInterface::getFormState 1
ViewsFormBase::setID protected function Sets the ID for this form.
ViewsFormBase::setType protected function Sets the type for this form.
ViewsFormBase::validateForm public function Form validation handler. Overrides FormBase::validateForm 3
ViewsFormHelperTrait::buildFormUrl protected function Creates the menu path for a standard AJAX form given the form state.
ViewsFormHelperTrait::formButtonWasClicked public static function The #process callback for a button.
ViewsFormHelperTrait::getConfigFactory protected function Returns the config factory service.
ViewsFormHelperTrait::standardDisplayDropdown protected function Adds an element to select either the default or the current display.

Buggy or inaccurate documentation? Please file an issue. Need support? Need help programming? Connect with the Drupal community.